<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{308,174,1022,590}</property>
    <property name="Name">[vb_mesas_produtos.scr]</property>
    <property name="Caption">[Cadastro de Produtos]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,54,54)
// hwg_TbMt(oToolbar,' 22;StartMesa("lanca_produto");Ins-Adiciona Produto ;Ins - Lanca pedido do produto na conta do cliente;add.jpg;;;;;Inclui;;;')
hwg_TbMt(oToolbar,' 22;StartMesa("lanca_produto");Ins-Adiciona Produto ;Ins - Lanca pedido do produto na conta do cliente;add.jpg;;;;;Inclui;;;')
hwg_TbMt(oToolbar,' 80;tb_pesq(D_OB);P-Pesquisa ;P-Pesquisa na coluna do cursor;pesquisa.jpg;;;;;&P-Pesquisa;;;')
hwg_TbMt(oToolbar,' 79;tb_index(D_OB);O-Ordena ;O-Ordena a coluna do cursor;ordena.jpg;;;;;&O-Ordena;;;')
hwg_TbMt(oToolbar,' 73;lst_alias(D_OB);I-Imprime ;I-Imprime;impressora.jpg;;;;;&I-Imprime;;;')
// Garante que nao sera executado o metodo :edit() do browse, caso a tecla enter deva fazer algo diferente de editar a coluna
// d_ob:bEdit := {|D_oB| StartMesa("lanca_produto") }
d_ob:bEdit := {|D_oB| StartMesa("lanca_produto") }
// hwg_Btn(oToolbar,10,440,120,68)
// hwg_TbMt(oToolbar,' 67;tb_locate(D_OB);C-Continua ;C-Repete Busca na coluna do cursor;sembitmap;;;Lucida Bright;-11;&Continua Pesquisa;;6;')
// hwg_TbMt(oToolbar,' 84;tb_locate(D_OB);T-Trecho;T-Pesquisa Trecho na coluna do cursor;sembitmap;;;Lucida Bright;-11;Pesquisa &Trecho;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
wSegundosParaRefresh:=5
StartMesa("starttimer","produtos")]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,560,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,69,1000,349}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Ref;pRefFab;C;@s10;10;N;')
hwg_TbFi(D_oB, 'Descricao;PDESC;C;@s35;35;N;')
hwg_TbFi(D_oB, 'PrVenda;PVLUVENDA;N;9999.99;7;S;')
hwg_TbFi(D_oB, 'EAtual;PEATUAL;N;999.999;7;S;')
hwg_TbFi(D_oB, 'Cod;PCOD;N;999999;6;N;')
hwg_TbFi(D_oB, 'Un;PUNIDADE;C;xx;2;;')
hwg_TbFi(D_oB, 'Tipo;Ptipo;C;@S5;5;S;')
hwg_TbFi(D_oB, 'Div;PDIVISAO;C;xxxx;  4;;')
hwg_TbFi(D_oB, 'G;Pgpreco;C;X;  1;;')
hwg_TbFi(D_oB, 'Peso;PeanPeso;C;@S5;4;S;')
hwg_TbFi(D_oB, 'Cod Barras;Pdic6;N;99999999999999;14;N;')
hwg_TbFi(D_oB, 'Em Prom;PFGPROM;C;x;  1;;')
hwg_TbFi(D_oB, 'CF;pcategoria;C;!!;2;S;')
hwg_TbFi(D_oB, 'Fracao;PITENS;N;9999;  4;;')
D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SE_PROD",.F.,.T.,{||.T.} }
d_ob:bEdit := {|D_oB| .t.}
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{303,0,590,47}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">
[(&quot;Mesa &quot;+lTrim(Str(zRecnoMesa,3))+&quot;: Solicitar Produtos&quot;)]      </property>
      <property name="Justify">[Right]</property>
      <property name="font">
        <font name="Arial" width="0" height="-37" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{415,420,595,130}</property>
      <property name="Name">[oBrwCozinha]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onInit">
      <![CDATA[oBrwCozinha:Alias := 'sf_barcz'
oBrwCozinha:bColorSel:= RGB(3,23,133)
oBrwCozinha:tColorSel:= RGB(255,255,255)
sf_barcz->( hwg_TbFi(@oBrwCozinha, 'Tempo;tString((Hb_DateTime()-DtHr_Pedid)*86400);P;@S10;10;;wbCorAtraso;'))
sf_barcz->( hwg_TbFi(@oBrwCozinha, 'Prod;pCod;N;999999;6;;wbCorAtraso;'))
sf_barcz->( hwg_TbFi(@oBrwCozinha, 'Descricao;pDesc;C;@S30;30;;'))
sf_barcz->( hwg_TbFi(@oBrwCozinha, 'Quant;mQuant;N;@e 9,999.999;9;;'))
sf_barcz->( hwg_TbFi(@oBrwCozinha, 'DtHr_Pedid;hb_TtoC(DtHr_Pedid);P;@S14;14;;'))
oBrwCozinha:lFilter := .T.
oBrwCozinha:bFirst := {|| sf_barcz->( DBSEEK( STR(m_fnumped,10)+" " , .F. ) ) } 
oBrwCozinha:bLast  := {|| sf_barcz->( DBSEEK( STR(m_fnumped,10)+" " , .F., .T. ) ) }
oBrwCozinha:bWhile := {|| sf_barcz->fnumped=m_fnumped .AND. fg_sit=" " }
// oBrwItens:Refresh()
// alert('definiu oBrwItens:alias '+oBrwItens:alias+' sf_bar->fnumped '+str(sf_bar->fnumped,6)+ ' oBrwItens:nColumns '+str(oBrwItens:nColumns,4) )
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{10,431,390,75}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">
[Tecle ENTER ou insert sobre o produto a ser atendido na Mesa]      </property>
      <property name="TextColor">255</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
</part>
